RNALALIFOLD(1)

2.1.9

NAME
RNALalifold - manual page for RNALalifold 2.1.9

SYNOPSIS
RNALalifold [options] <file1.aln>

DESCRIPTION
RNALalifold 2.1.9

calculate locally stable secondary structures for a set of aligned RNAs

reads aligned RNA sequences from stdin or file.aln and calculates locally stable RNA secondary structure with a maximal base pair span. For a sequence of length n and a base pair span of L the algorithm uses only O(n+L*L) memory and O(n*L*L) CPU time. Thus it is practical to "scan" very large genomes for short RNA

    structures.

-h, --help
    Print help and exit

--detailed-help
    Print help, including all details and hidden options, and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

  General Options:

    Below are command line options which alter the general behavior of this program

-L, --span=INT
    Set the maximum allowed separation of a base pair to span. I.e. no pairs (i,j) with j-i>span will be allowed.

    (default=`70')

--csv
    Create comma seperated output (csv)

    (default=off)

  Algorithms:

    Select additional algorithms which should be included in the calculations. The Minimum free energy (MFE) and a structure representative are calculated in any case.

-p, --partfunc[=INT]
    Calculate the partition function and base pairing probability matrix in addition to the mfe structure. (default=`1')

    Default is calculation of mfe structure only. In addition to the MFE structure we print a coarse representation of the pair probabilities in form of a pseudo bracket notation, followed by the ensemble free energy, as well as the centroid structure derived from the pair probabilities together with its free energy and distance to the ensemble. Finally it prints the frequency of the mfe structure.

    An additionally passed value to this option changes the behavior of partition function calculation: -p0 \tCalculate the partition function but not the pair probabilities, saving about 50% in runtime. This prints the ensemble free energy -kT ln(Z).

-c, --cutoff=FLOAT
    Report only base pairs with an average probability > cutoff in the dot plot

    (default=`0.01')

-S, --pfScale=scaling factor
    In the calculation of the pf use scale*mfe as an estimate for the ensemble free energy (used to avoid overflows).

    The default is 1.07, useful values are 1.0 to 1.2. Occasionally needed for long sequences. You can also recompile the program to use double precision (see the README file).

--mis
    Output "most informative sequence" instead of simple consensus: For each column of the alignment output the set of nucleotides with frequence greater than average in IUPAC notation.

    (default=off)

  Model Details:

-T, --temp=DOUBLE
    Rescale energy parameters to a temperature of temp C. Default is 37C.

-4, --noTetra
    Do not include special tabulated stabilizing energies for tri-, tetra- and hexaloop hairpins. Mostly for testing.

    (default=off)

-d, --dangles=INT
    How to treat "dangling end" energies for bases adjacent to helices in free ends and multi-loops

    (default=`2')

    With -d1 only unpaired bases can participate in at most one dangling end, this is unsupported for the partition function folding.

    With -d2 this check is ignored, dangling energies will be added for the bases adjacent to a helix on both sides in any case; this is the default for partition function folding (-p). The option -d0 ignores dangling ends altogether (mostly for debugging). With -d3 mfe folding will allow coaxial stacking of adjacent helices in multi-loops. At the moment the implementation will not allow coaxial stacking of the two interior pairs in a loop of degree 3 and works only for mfe folding.

    Note that by default (as well as with -d1 and -d3) pf and mfe folding treat dangling ends differently. Use -d2 in addition to -p to ensure that both algorithms use the same energy model.

--noLP
    Produce structures without lonely pairs (helices of length 1).

    (default=off)

    For partition function folding this only disallows pairs that can only occur isolated. Other pairs may still occasionally occur as helices of length 1.

--noGU
    Do not allow GU pairs

    (default=off)

--noClosingGU
    Do not allow GU pairs at the end of helices

    (default=off)

-P, --paramFile=paramfile
    Read energy parameters from paramfile, instead of using the default parameter set.

    A sample parameter file should accompany your distribution. See the RNAlib documentation for details on the file format.

--nsp=STRING
    Allow other pairs in addition to the usual AU,GC,and GU pairs.

    Its argument is a comma separated list of additionally allowed pairs. If the first character is a "-" then AB will imply that AB and BA are allowed pairs. e.g. RNAfold -nsp -GA will allow GA and AG pairs. Nonstandard pairs are given 0 stacking energy.

-e, --energyModel=INT
    Rarely used option to fold sequences from the artificial ABCD... alphabet, where A pairs B, C-D etc. Use the energy parameters for GC (-e 1) or AU (-e 2) pairs.

--cfactor=DOUBLE
    Set the weight of the covariance term in the energy function

    (default=`1.0')

--nfactor=DOUBLE
    Set the penalty for non-compatible sequences in the covariance term of the energy function

    (default=`1.0')

-R, --ribosum_file=ribosumfile
    use specified Ribosum Matrix instead of normal

    energy model. Matrixes to use should be 6x6 matrices, the order of the terms is AU, CG, GC, GU, UA, UG.

-r, --ribosum_scoring
    use ribosum scoring matrix. The matrix is chosen according to the minimal and maximal pairwise identities of the sequences in the file.

    (default=off)

AUTHOR
Ivo L Hofacker, Stephan Bernhart, Ronny Lorenz

REFERENCES
If you use this program in your work you might want to cite: R. Lorenz, S.H. Bernhart, C. Hoener zu Siederdissen, H. Tafer, C. Flamm, P.F. Stadler and I.L. Hofacker (2011), "ViennaRNA Package 2.0", Algorithms for Molecular Biology: 6:26 I.L. Hofacker, W. Fontana, P.F. Stadler, S. Bonhoeffer, M. Tacker, P. Schuster (1994), "Fast Folding and Comparison of RNA Secondary Structures", Monatshefte f. Chemie: 125, pp 167-188 The algorithm is a variant of the dynamic programming algorithms of M. Zuker and P. Stiegler (mfe) and J.S. McCaskill (pf) adapted for sets of aligned sequences with covariance information. Ivo L. Hofacker, Martin Fekete, and Peter F. Stadler (2002), "Secondary Structure Prediction for Aligned RNA Sequences", J.Mol.Biol.: 319, pp 1059-1066. Stephan H. Bernhart, Ivo L. Hofacker, Sebastian Will, Andreas R. Gruber, and Peter F. Stadler (2008), "RNAalifold: Improved consensus structure prediction for RNA alignments", BMC Bioinformatics: 9, pp 474 The energy parameters are taken from: D.H. Mathews, M.D. Disney, D. Matthew, J.L. Childs, S.J. Schroeder, J. Susan, M. Zuker, D.H. Turner (2004), "Incorporating chemical modification constraints into a dynamic programming algorithm for prediction of RNA secondary structure", Proc. Natl. Acad. Sci. USA: 101, pp 7287-7292 D.H Turner, D.H. Mathews (2009), "NNDB: The nearest neighbor parameter database for predicting stability of nucleic acid secondary structure", Nucleic Acids Research: 38, pp 280-282

REPORTING BUGS
If in doubt our program is right, nature is at fault.
Comments should be sent to rna@tbi.univie.ac.at.

SEE ALSO
The ALIDOT package http://www.tbi.univie.ac.at/RNA/ALIDOT/